import React from 'react'

import BuildControl from './BuildControl/BuildControl';
import classes from './BuildControls.css';

const controls = [
    { name: 'Salad', type: 'salad' },
    { name: 'Cheese', type: 'cheese' },
    { name: 'Bacon', type: 'bacon' },
    { name: 'Meat', type: 'meat' },
];

const buildControls = (props) => (
    <div className={classes.BuildControls}>
        <p>Current Price: <strong>{props.price.toFixed(2)}</strong></p>
        {controls.map(ctrl => (
            <BuildControl
                key={ctrl.name}
                name={ctrl.name}
                added={() => props.ingredientAdded(ctrl.type)}
                removed={() => props.ingredientRemoved(ctrl.type)}
                disabled={props.disabled[ctrl.type]} />
        ))}
        <button className={classes.OrderButton}
            disabled={!props.purchasable}
            onClick={props.ordered}>ORDER NOW</button>
    </div>
)

export default buildControls;